CREATE TABLE dos_supply_headers_eff_tl (
    EFF_LINE_ID              NUMBER(18, 0) ,
    CATEGORY_CODE            VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    HEADER_ID                NUMBER(18, 0) ,
    CONTEXT_CODE             VARCHAR2(320) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    ATTRIBUTE_CHAR1          VARCHAR2(4000),
    ATTRIBUTE_CHAR2          VARCHAR2(4000),
    ATTRIBUTE_CHAR3          VARCHAR2(4000),
    ATTRIBUTE_CHAR4          VARCHAR2(4000),
    ATTRIBUTE_CHAR5          VARCHAR2(4000),
    ATTRIBUTE_CHAR6          VARCHAR2(4000),
    ATTRIBUTE_CHAR7          VARCHAR2(4000),
    ATTRIBUTE_CHAR8          VARCHAR2(4000),
    ATTRIBUTE_CHAR9          VARCHAR2(4000),
    ATTRIBUTE_CHAR10         VARCHAR2(4000),
    ATTRIBUTE_CHAR11         VARCHAR2(4000),
    ATTRIBUTE_CHAR12         VARCHAR2(4000),
    ATTRIBUTE_CHAR13         VARCHAR2(4000),
    ATTRIBUTE_CHAR14         VARCHAR2(4000),
    ATTRIBUTE_CHAR15         VARCHAR2(4000),
    ATTRIBUTE_CHAR16         VARCHAR2(4000),
    ATTRIBUTE_CHAR17         VARCHAR2(4000),
    ATTRIBUTE_CHAR18         VARCHAR2(4000),
    ATTRIBUTE_CHAR19         VARCHAR2(4000),
    ATTRIBUTE_CHAR20         VARCHAR2(4000),
    ATTRIBUTE_CHAR21         VARCHAR2(4000),
    ATTRIBUTE_CHAR22         VARCHAR2(4000),
    ATTRIBUTE_CHAR23         VARCHAR2(4000),
    ATTRIBUTE_CHAR24         VARCHAR2(4000),
    ATTRIBUTE_CHAR25         VARCHAR2(4000),
    ATTRIBUTE_CHAR26         VARCHAR2(4000),
    ATTRIBUTE_CHAR27         VARCHAR2(4000),
    ATTRIBUTE_CHAR28         VARCHAR2(4000),
    ATTRIBUTE_CHAR29         VARCHAR2(4000),
    ATTRIBUTE_CHAR30         VARCHAR2(4000),
    ATTRIBUTE_CHAR31         VARCHAR2(4000),
    ATTRIBUTE_CHAR32         VARCHAR2(4000),
    ATTRIBUTE_CHAR33         VARCHAR2(4000),
    ATTRIBUTE_CHAR34         VARCHAR2(4000),
    ATTRIBUTE_CHAR35         VARCHAR2(4000),
    ATTRIBUTE_CHAR36         VARCHAR2(4000),
    ATTRIBUTE_CHAR37         VARCHAR2(4000),
    ATTRIBUTE_CHAR38         VARCHAR2(4000),
    ATTRIBUTE_CHAR39         VARCHAR2(4000),
    ATTRIBUTE_CHAR40         VARCHAR2(4000),
    PROGRAM_NAME             VARCHAR2(120) ,
    PROGRAM_APP_NAME         VARCHAR2(200) ,
    EFF_LINE_ID              NUMBER(18, 0) ,
    CATEGORY_CODE            VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    HEADER_ID                NUMBER(18, 0) ,
    CONTEXT_CODE             VARCHAR2(320) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SOURCE_LANG              VARCHAR2(16)      NOT NULL,
    LANGUAGE                 VARCHAR2(16)  ,
    ATTRIBUTE_CHAR1          VARCHAR2(4000),
    ATTRIBUTE_CHAR2          VARCHAR2(4000),
    ATTRIBUTE_CHAR3          VARCHAR2(4000),
    ATTRIBUTE_CHAR4          VARCHAR2(4000),
    ATTRIBUTE_CHAR5          VARCHAR2(4000),
    ATTRIBUTE_CHAR6          VARCHAR2(4000),
    ATTRIBUTE_CHAR7          VARCHAR2(4000),
    ATTRIBUTE_CHAR8          VARCHAR2(4000),
    ATTRIBUTE_CHAR9          VARCHAR2(4000),
    ATTRIBUTE_CHAR10         VARCHAR2(4000),
    ATTRIBUTE_CHAR11         VARCHAR2(4000),
    ATTRIBUTE_CHAR12         VARCHAR2(4000),
    ATTRIBUTE_CHAR13         VARCHAR2(4000),
    ATTRIBUTE_CHAR14         VARCHAR2(4000),
    ATTRIBUTE_CHAR15         VARCHAR2(4000),
    ATTRIBUTE_CHAR16         VARCHAR2(4000),
    ATTRIBUTE_CHAR17         VARCHAR2(4000),
    ATTRIBUTE_CHAR18         VARCHAR2(4000),
    ATTRIBUTE_CHAR19         VARCHAR2(4000),
    ATTRIBUTE_CHAR20         VARCHAR2(4000),
    ATTRIBUTE_CHAR21         VARCHAR2(4000),
    ATTRIBUTE_CHAR22         VARCHAR2(4000),
    ATTRIBUTE_CHAR23         VARCHAR2(4000),
    ATTRIBUTE_CHAR24         VARCHAR2(4000),
    ATTRIBUTE_CHAR25         VARCHAR2(4000),
    ATTRIBUTE_CHAR26         VARCHAR2(4000),
    ATTRIBUTE_CHAR27         VARCHAR2(4000),
    ATTRIBUTE_CHAR28         VARCHAR2(4000),
    ATTRIBUTE_CHAR29         VARCHAR2(4000),
    ATTRIBUTE_CHAR30         VARCHAR2(4000),
    ATTRIBUTE_CHAR31         VARCHAR2(4000),
    ATTRIBUTE_CHAR32         VARCHAR2(4000),
    ATTRIBUTE_CHAR33         VARCHAR2(4000),
    ATTRIBUTE_CHAR34         VARCHAR2(4000),
    ATTRIBUTE_CHAR35         VARCHAR2(4000),
    ATTRIBUTE_CHAR36         VARCHAR2(4000),
    ATTRIBUTE_CHAR37         VARCHAR2(4000),
    ATTRIBUTE_CHAR38         VARCHAR2(4000),
    ATTRIBUTE_CHAR39         VARCHAR2(4000),
    ATTRIBUTE_CHAR40         VARCHAR2(4000),
    PROGRAM_NAME             VARCHAR2(120) ,
    PROGRAM_APP_NAME         VARCHAR2(200) ,
    CONSTRAINT pk_dos_supply_headers_eff_tl PRIMARY KEY (EFF_LINE_ID, CATEGORY_CODE, HEADER_ID, CONTEXT_CODE, LANGUAGE, EFF_LINE_ID, CATEGORY_CODE, HEADER_ID, CONTEXT_CODE, LANGUAGE)
);
